Please backport python-wxgtk3.0

Bug #1387990 reported by Paul Müller on 2014-10-31
26
This bug affects 5 people
Affects Status Importance Assigned to Milestone
trusty-backports
Undecided
Unassigned
wxpython3.0 (Ubuntu)
Undecided
Unassigned

Bug Description

Please backport `python-wxgtk3.0` from utopic to trusty.

Additional Packages that would need backporting
-------------------------------------------------------------------
The backport also involves backporting (see bug #1333428)
- `libwxgtk3.0-0` to version 3.0.1
- `libwxbase3.0-0` to version 3.0.1

Reason for the backport
---------------------------------
- A lot of features have been introduced to wxPython since version 2.8.12.1 (in the trusty repositories).
- Some developers tend to switch to wxPython3 (e.g. "http://www.kicad-pcb.org", me)
- In the future, other packages that depend on wxPython3 could be backported.

Note: This is my first backport request. I am happy to give additional/missing information, but I will most likely not be able to thoroughly test the backport.

Paul Müller (8-mail-g) on 2014-10-31
tags: added: wx
description: updated
Paul Müller (8-mail-g) on 2014-10-31
description: updated
tags: added: wxpython3.0
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in wxpython3.0 (Ubuntu):
status: New → Confirmed
Michael Rooney (mrooney) wrote :

This would be very helpful because wxpython 2.8 has been removed in Xenial, so it is more challenging to support a mutually-exclusive list of wxPython versions across supported Ubuntus :)

Olly Betts (ojwb) wrote :

Trusty reach EOL several months ago, so closing this as it is no longer actionable. There doesn't seem to be an entirely suitable status for such a case though.

Changed in trusty-backports:
status: New → Fix Released
Changed in wxpython3.0 (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers